/*
 * @(#)ConsumerResourceTest.java
 *
 * Copyright (C) 2007 Infocity Inc. All Rights Reserved.
 */
package test.info.dragonlady.sso;

import info.dragonlady.sso.ConsumerResource;
import junit.framework.TestCase;

/**
 * ConsumerResourceクラステストケース。
 * 
 * @author Hiroshi.Ebata(INFOCITY)
 * @version $Revision: 1.0 $ $Date: 2007/06/05 18:50:49 $
 */
public class ConsumerResourceTest extends TestCase {

	private String host = "172.16.3.74";

	private String context = "sso_test";

	// 予想する値
	private String consumer = "http://172.16.3.74:8080/sso_test/consumer.html";

	/**
	 * @param arg0
	 */
	public ConsumerResourceTest(String arg0) {
		super(arg0);
	}

	/* (non-Javadoc)
	 * @see junit.framework.TestCase#setUp()
	 */
	protected void setUp() throws Exception {
		super.setUp();
	}

	/* (non-Javadoc)
	 * @see junit.framework.TestCase#tearDown()
	 */
	protected void tearDown() throws Exception {
		super.tearDown();
	}

	/**
	 * {@link info.dragonlady.sso.ConsumerResource#getConsumer(java.lang.String, java.lang.String)} のためのテスト・メソッド。
	 */
	public final void testGetConsumer() {
		try {
			assertTrue(ConsumerResource.getConsumer(host, context).equals(consumer));
		} catch(Exception e) {
			assertTrue(e.toString(), false);
		}
	}

}
